# bfuse.cc File Reference

## Detailed Description

FUSE filesystem for Blackberry databases, using Barry.

Definition in file bfuse.cc.

`#include <fuse.h>`
`#include <fuse_opt.h>`
`#include <barry/barry.h>`
`#include <sstream>`
`#include <getopt.h>`
`#include <vector>`
`#include <list>`
`#include <string>`
`#include <stdexcept>`
`#include <memory>`
`#include <tr1/memory>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include <fcntl.h>`
`#include <string.h>`
`#include "i18n.h"`

Include dependency graph for bfuse.cc:

Go to the source code of this file.

## Classes

class | fuse_error
class | DataDumpParser
struct | Store< Record >
class | PathSplit
class | Entry
class | Directory
class | File
class | Database
class | DesktopCon
class | Context